﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace XamDockManagerTesting
{
    /// <summary>
    /// Interaction logic for U2.xaml
    /// </summary>
    public partial class U2 : UserControl
    {
        WsModel model
        {
            get
            {
                return this.DataContext as WsModel;
            }
        }

        public U2()
        {
            InitializeComponent();
        }

        private void workspace_Loaded(object sender, RoutedEventArgs e)
        {           
            if (!model.IsInit)
                return;
            model.IsInit = false;

            var fieldLayout = this.workspace.FieldLayouts.First();

            for (int i = 1; i <= 100; i++)
            {
                var parRec = new WsModel.ParameterRecord(i);
                var par = new XamDockManagerTesting.WsModel.ParameterRecord.ParameterValue(i.ToString(), i * 1.337);
                parRec.ParameterValues.Add("col1", par);

                var par2 = new XamDockManagerTesting.WsModel.ParameterRecord.ParameterValue(i.ToString(), i * 2.048);
                parRec.ParameterValues.Add("col2", par2);

                model.DataSource.Add(parRec);
            }

            var uField = new UnboundField()
            {
                Name = "Col 1",
                Row = 0,
                Column = 1,
                BindingMode = BindingMode.TwoWay,
                BindingPath = new PropertyPath(String.Format("ParameterValues[col1].Value"))
            };

            var uField2 = new UnboundField()
            {
                Name = "Col 2",
                Row = 0,
                Column = 2,
                BindingMode = BindingMode.TwoWay,
                BindingPath = new PropertyPath(String.Format("ParameterValues[col2].Value"))
            };
            // Add FieldLayout
            fieldLayout.Fields.Add(uField);
            fieldLayout.Fields.Add(uField2);

            

        }
    }
}
