﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDockManagerTesting
{
    public class ViewModel: INotifyPropertyChanged
    {
        #region INotifyPropertyChanged

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion

        public ViewModel()
        {
            Items = new ObservableCollection<object>() { new O1("Tab 1"), new O2("Tab 2"), new O1("Tab 3") };
        }

        public ObservableCollection<object> Items { get; set; }
    }
}
